System

Health/auth check

GET/ping
No scope required

Returns { "pong": true }. Requires a valid token but no scope — useful to verify a token authenticates.

Responses

200

OK

{
  "pong": true
}
401

Authentication failed. error.code is one of invalid_token, expired, revoked.

Error
403

Authorization failed. error.code is one of org_disabled, ip_blocked, missing_scope, scope_disabled, user_disabled.

Error
429

Rate limit exceeded (error.code = rate_limited).

Error

Examples

curl https://your-org-domain/kong/core/api/v2/ping\
  -H "Authorization: Bearer $HELM_API_KEY"\
  -H "Content-Type: application/json"